Bug 796689 - Some keys don't work on a Gigabyte Laptop
Some keys don't work on a Gigabyte Laptop
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-23 08:39 EST by Gendre Sébastien
Modified: 2012-11-14 09:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 09:52:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gendre Sébastien 2012-02-23 08:39:11 EST
Description of problem:
On my Gigabyte i1320 laptop, some Fn combinations keys and a dedicated key don't work.

This is the list:
- Fn+F1 → Suspend: Ok
- Fn+F2 → Wifi On/Off: No
- Fn+F3 → Brightness - : No
- Fn+F4 → Brightness +: No
- Fn+F5 → Switch double screen mode: No
- Fn+F7 → Vol Mute: Ok
- Fn+F8 → Vol - : Ok
- Fn+F9 → Vol +: Ok
- Fn+F10 → 3G On/Off: No
- Fn+F11 → Bluetooth On/Off: No
- Fn+F12 → WebCam On/Off: No
- Fn+NumLk → Scroll Lock: No
- Fn+Insert → Print Screen: Yes
- Fn+Del → Sys Rq: Yes but see as Print Screen.
- Fn+Home → "Configuration Center": No
- Plane mode:  No

For volume and sleep keys, I have an ACPI event (see with acpi_listen). But for all other keys (except Print Screen), I have no acpi event or other response. I can't assign them to shortcuts in Gnome Control-Center.

no more information finded in /var/log/message

Version-Release number of selected component (if applicable):
Kernel: 3.2.6-3.fc16
acpi: 1.5.2.fc15
acpid: 2.0.14.1.fc16
Comment 1 Dave Jones 2012-03-22 12:41:57 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 2 Dave Jones 2012-03-22 12:46:33 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 12:55:58 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Gendre Sébastien 2012-03-23 07:21:09 EDT
Tested but don't fix the bug.
Comment 5 Dave Jones 2012-10-23 11:30:23 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 6 Justin M. Forbes 2012-11-14 09:52:40 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.